<!--
{
  "availability" : [

  ],
  "documentType" : "symbol",
  "framework" : "ApplePayWebMerchantRegistrationAPI",
  "identifier" : "/documentation/ApplePayWebMerchantRegistrationAPI",
  "metadataVersion" : "0.1.0",
  "role" : "Web Service",
  "symbol" : {
    "kind" : "Web Service",
    "modules" : [
      "Apple Pay Web Merchant Registration API"
    ],
    "preciseIdentifier" : "ApplePayWebMerchantRegistrationAPI"
  },
  "title" : "Apple Pay Web Merchant Registration API"
}
-->

# Apple Pay Web Merchant Registration API

Manage merchant registration through your web platform.

## Overview

The Apple Pay Web Merchant Registration API is a REST API that enables platform integrators such as payment-service providers and e-commerce platforms to register web merchants who want to offer Apple Pay on the web.

As a platform integrator, you manage Apple Pay configuration on the merchants’ behalf when you call [`Register Merchant`](/documentation/ApplePayWebMerchantRegistrationAPI/Register-Merchant). Merchants aren’t required to set up an Apple Developer account or configure their own keys and certificates — you set up a shared set of keys and certificates for your entire merchant portfolio. Register merchants with their own website domains, or with web pages hosted by your platform.

> Note:
> This API is available in production and in sandbox environments. To use this API in the sandbox environment, call the endpoints using the domain `apple-pay-gateway-cert.apple.com`.  For example, the sandbox endpoint for ``doc://com.apple.applepaywebmerchantregistrationapi/documentation/ApplePayWebMerchantRegistrationAPI/Register-Merchant`` is: `POST https://apple-pay-gateway-cert.apple.com/paymentservices/registerMerchant`.

### API Requirements for Use

To use the Apple Pay Web Merchant Registration API,  you must meet the following requirements:

- Your organization must be enrolled in the Apple Developer program. For more information about enrollment, see the “Enrolling as an Organization” section in [What You Need To Enroll](https://developer.apple.com/programs/enroll/).
- You must apply for access to the API. For more information about applying, see [Applying to use the registration API and configuring IDs](/documentation/ApplePayWebMerchantRegistrationAPI/applying-to-use-the-registration-api-and-configuring-ids).
- Your server must call the API using mutual authentication with Transport Layer Security (TLS) 1.2 or later, and one of the supported cipher suites. For a list of supported cipher suites, see <doc://com.apple.documentation/documentation/ApplePayontheWeb/setting-up-your-server>.

## Topics

### Essentials

[Applying to use the registration API and configuring IDs](/documentation/ApplePayWebMerchantRegistrationAPI/applying-to-use-the-registration-api-and-configuring-ids)

Request access to the Registration API and register an ID to use the web service.

### Web Merchant Registration

[Preparing merchant domains for verification](/documentation/ApplePayWebMerchantRegistrationAPI/preparing-merchant-domains-for-verification)

Host a domain verification file on each domain before requesting registration.

[`Register Merchant`](/documentation/ApplePayWebMerchantRegistrationAPI/Register-Merchant)

Register a merchant and its corresponding set of fully qualified domains.

[`RegisterMerchantRequest`](/documentation/ApplePayWebMerchantRegistrationAPI/RegisterMerchantRequest)

The request body you use to register merchants.

### Web Merchant Unregistration

[`Unregister Merchant`](/documentation/ApplePayWebMerchantRegistrationAPI/Unregister-Merchant)

Unregister one or more domains associated with a previously registered merchant.

[`UnregisterMerchantRequest`](/documentation/ApplePayWebMerchantRegistrationAPI/UnregisterMerchantRequest)

The request body you use to unregister one or more merchant domains.

### Web Merchant Details

[`Get Merchant Details`](/documentation/ApplePayWebMerchantRegistrationAPI/Get-Merchant)

Retrieve information about a registered merchant’s current state by using the merchant’s internal merchant identifier.

[`MerchantDetails`](/documentation/ApplePayWebMerchantRegistrationAPI/MerchantDetails)

Detailed information for a single registered merchant.



---

Copyright &copy; 2026 Apple Inc. All rights reserved. | [Terms of Use](https://www.apple.com/legal/internet-services/terms/site.html) | [Privacy Policy](https://www.apple.com/privacy/privacy-policy)